# Speed Test Plugin para WordPress

Este es un simple plugin para WordPress que te permite mostrar los resultados de un test de velocidad usando un shortcode. Utiliza el cliente `speedtest-cli` de Python y presenta los resultados con estilos proporcionados por Tailwind CSS.

## Instalación

1. Descarga o clona este repositorio.
2. Copia la carpeta `speedtest-plugin` dentro de tu directorio de plugins de WordPress (`wp-content/plugins/`).
3. Ingresa al panel de administración de WordPress y navega a `Plugins`.
4. Busca "Speed Test Plugin" en la lista y actívalo.

## Uso

Después de instalar y activar el plugin, simplemente usa el shortcode:

[speedtest]


en cualquier publicación o página donde quieras mostrar los resultados del speed test.

## Requisitos

- Asegúrate de que `curl` y `python` estén instalados en tu servidor y sean accesibles desde la línea de comandos.
- Asegúrate de que tu servidor permita la ejecución de comandos de shell desde PHP.

## Consideraciones de Seguridad

Este plugin permite la ejecución de comandos de shell directamente desde WordPress. Si bien se ha hecho todo lo posible para garantizar la seguridad, se recomienda usar este plugin con precaución y solo en entornos de confianza.

## Licencia

Este plugin es de código abierto y se distribuye bajo la licencia MIT.

## Autor

Juan Luis Martel.

