<?php
/**
 * Plugin Name: Speed Test Plugin
 * Description: Un simple plugin para mostrar los resultados de speedtest usando el shortcode [speedtest].
 * Version: 1.0
 * Author: Juan Luis Martel
 */

function speedtest_shortcode() {
	// Define el comando que quieres ejecutar
	$command = 'curl -s https://raw.githubusercontent.com/sivel/speedtest-cli/master/speedtest.py | python -';
	$output = shell_exec($command);
	$lines = explode("\n", $output);

	// Inicia la captura del contenido
	ob_start();
	?>
	
	<link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">

	<div class="max-w-md mx-auto bg-white rounded-xl shadow-md overflow-hidden">
		<div class="bg-indigo-500 text-white font-bold text-xl p-4">
			Speed Test Results
		</div>
		<ul class="list-disc p-2 space-y-2">
			<?php foreach ($lines as $line): ?>
				<li class="text-gray-700">
					<?= $line ?>
				</li>
			<?php endforeach; ?>
		</ul>
	</div>
	
	<?php
	// Finaliza la captura y retorna el contenido
	return ob_get_clean();
}

// Registra el shortcode
add_shortcode('speedtest', 'speedtest_shortcode');
?>
